# Windows

### Prerequisites&#x20;

If you haven't already, install the latest versions of:

* [miniconda](https://www.anaconda.com/docs/getting-started/miniconda/main) (a tool for managing Python and dependencies)
* [Git](https://git-scm.com/book/en/v2/Getting-Started-Installing-Git) (a version control system)

> Tip: Package managers like Chocolatey or Scoop can be used instead of manual downloads.

### Creating and activating an environment

Open your Command Line Interface and create an environment to install kiara into. This is like giving kiara its own room, so that it will not interfere with other tools or projects on your computer. For example:

```⏎
conda create -n kiara_explore
```

You can replace `kiara_explore` with any name you choose for your environment.

Activate the conda environment:&#x20;

```⏎
conda activate kiara_explore
```

### Install kiara and its basic plugins

Kiara is installed using a package-management system for Python called `pip`. Simply use:

```⏎
pip install kiara
```

The installation may take a few minutes. Once complete, install kiara's plugins:

```
pip install kiara_plugin.core_types kiara_plugin.onboarding kiara_plugin.tabular
```

These plugins provide support for:

* core data types
* helpful onboarding tools
* tabular data (spreadsheets, CSVs, etc.)

> Tip: to check which version of *kiara* or any of its plugins are installed at any point, use `pip list | findstr kiara`&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dharpa.org/installation/windows.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
